<template>
    <div id="app">
        <button class="btn btn-secondary" @click="load">
            Обновить
        </button>
        <div v-show="isLoading">Загрузка списка сайтов...</div>
        <Site
            :id="site.id"
            :name="site.name"
            :domain="site.domain"
            :status="site.status"
            :key="site.id"
            v-for="site in sites"
        />
    </div>
</template>

<script>
    import Site from "../components/Site";
    import {mapActions, mapState} from "vuex";

    export default {
        name: 'Sites',
        components: {
            Site
        },
        beforeMount() {
            this.load();
        },
        computed: {
            ...mapState(['isLoading', 'sites'])
        },
        methods: {

            ...mapActions(['load'])
        }
    }
</script>

<style>
</style>
